Guida: installare sul 2.2 le applicazioni che vogliono il firmware 2.2.1

Molte applicazioni AppStore richiedono il firwmare 2.2.1 per essere installate, malgrado funzionino anche su firmware 2.2. Con questa guida vediamo come “far credere” ad iTunes di avere un firmware 2.2.1, anche se su iPhone è installato il 2.2 (ma va bene qualsiasi altro firmware, purchè 2.x)

appstore221

Per farlo avete bisogno di un iPhone jailbroken e di OpenSSH installato:

  • Tramite SSH andate nella cartella /System/Library/CoreServices
  • Prendete il file SystemVersion.plist e copiatelo sul vostro Pc/Mac
  • Aprite il file appena copiato con un editor di testo e cercate la stringa
    <key>ProductVersion</key>
    <string>2.2</string>
  • Modificate il valore da 2.2 (o qualsiasi altro firmware 2.x) a 2.2.1
  • Salvate il file e ricopiatelo su iPhone, sempre in /System/Library/CoreServices
  • Riavviate l’iPhone

A questo punto il vostro dispositivo è un 2.2 camuffato in 2.2.1, per cui potete installare qualsiasi applicazione presente su AppStore.

Si ringrazia l’utente PiccoloAttila per la segnalazione

iPhone 12 (64GB) in offerta su

Guide